package rh.test.hibernate.entity;

import javax.persistence.*;
import java.util.UUID;

@Entity
@Inheritance(strategy = InheritanceType.JOINED)
@DiscriminatorColumn
@DiscriminatorValue("PARENT")
public class ParentEntity {

  @Id
  @Column(length = 36)
  private String id = UUID.randomUUID().toString();

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }
}
